Page MenuHomePhabricator

Rerun maintain-views for all tables to drop valid_tag and tag_summary tables
Closed, ResolvedPublic

Description

Run maintain-views on the wiki replica servers (labsdb1010, labsdb1009, labsdb1011) for all databases to remove the tables that are being dropped in the upstream schema.

Details

Related Gerrit Patches:

Event Timeline

Bstorm triaged this task as Medium priority.Dec 19 2018, 3:42 PM
Bstorm created this task.
GTirloni claimed this task.Dec 19 2018, 3:50 PM

I'm just waiting for the upstream task to be finished before I work on this.

The valid_tag table is now gone in production

This can now fully go, as tag_summary got fully dropped everywhere yesterday.

Change 489220 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] wiki replicas: depool labsdb1009 for updates

https://gerrit.wikimedia.org/r/489220

Change 489220 merged by GTirloni:
[operations/puppet@production] wiki replicas: depool labsdb1009 for updates

https://gerrit.wikimedia.org/r/489220

Mentioned in SAL (#wikimedia-operations) [2019-02-08T14:51:06Z] <marostegui> Reload haproxy on dbproxy1011 to depool labsdb1009 - https://phabricator.wikimedia.org/T212308

Change 489239 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] Revert "wiki replicas: depool labsdb1009 for updates"

https://gerrit.wikimedia.org/r/489239

Change 489239 merged by GTirloni:
[operations/puppet@production] Revert "wiki replicas: depool labsdb1009 for updates"

https://gerrit.wikimedia.org/r/489239

Mentioned in SAL (#wikimedia-operations) [2019-02-08T15:46:01Z] <marostegui> Repool labsdb1009 - T212308

Change 489683 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] wiki replicas: depool labsdb1010 for changes

https://gerrit.wikimedia.org/r/489683

Change 489683 merged by GTirloni:
[operations/puppet@production] wiki replicas: depool labsdb1010 for changes

https://gerrit.wikimedia.org/r/489683

Mentioned in SAL (#wikimedia-operations) [2019-02-11T14:09:57Z] <marostegui> Reload haproxy on dbproxy1010 to depool labsdb1010 - T212308

Change 489713 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] Revert "wiki replicas: depool labsdb1010 for changes"

https://gerrit.wikimedia.org/r/489713

Change 489713 merged by GTirloni:
[operations/puppet@production] Revert "wiki replicas: depool labsdb1010 for changes"

https://gerrit.wikimedia.org/r/489713

Mentioned in SAL (#wikimedia-operations) [2019-02-11T15:20:57Z] <marostegui> Repool labsdb1010 - T212308

Change 489714 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] wiki replicas: depool labsdb1011 for changes

https://gerrit.wikimedia.org/r/489714

Change 489714 merged by GTirloni:
[operations/puppet@production] wiki replicas: depool labsdb1011 for changes

https://gerrit.wikimedia.org/r/489714

Mentioned in SAL (#wikimedia-operations) [2019-02-11T15:23:44Z] <marostegui> Relohad haproxy on dbproxy1010 to depool labsdb1011 - https://phabricator.wikimedia.org/T212308

Change 489726 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] Revert "wiki replicas: depool labsdb1011 for changes"

https://gerrit.wikimedia.org/r/489726

Change 489726 merged by GTirloni:
[operations/puppet@production] Revert "wiki replicas: depool labsdb1011 for changes"

https://gerrit.wikimedia.org/r/489726

maintain-view --all-databases --replace-all executed on all replicas (labsdb1009, labsdb1010 and labsdb1011).

GTirloni closed this task as Resolved.Feb 11 2019, 4:41 PM